# Namespace: contracts

## CaskSDK.contracts

Create instances of Cask contracts as an ethers.Contract. Creating a Cask contract automatically looks up the address from the environment and current connected chain.

### Members

#### (static, constant) contracts

##### Properties:

Name | Type | Description
--- | --- | ---
`CaskVault` | ethers.Contract | Cask vault contract.
`CaskSubscriptions` | ethers.Contract | Cask subscriptions contract.
`CaskSubscriptionPlans` | ethers.Contract | Cask subscription plans contract.
`CaskSubscriptionManager` | ethers.Contract | Cask subscription manager contract.
`CaskDCA` | ethers.Contract | Cask DCA contract.
`CaskDCAManager` | ethers.Contract | Cask DCA Manager contract.
`CaskP2P` | ethers.Contract | Cask P2P contract.
`CaskP2PManager` | ethers.Contract | Cask P2P Manager contract.
`CaskChainlinkTopup` | ethers.Contract | Cask ChainlinkTopup contract.
`CaskChainlinkTopupManager` | ethers.Contract | Cask ChainlinkTopup Manager contract.
`AggregatorV3Interface` | ethers.Contract | Chainlink price oracle. Uses either the supplied provider, or the connection from the ethersConnection.
`ERC20` | ethers.Contract | Get an ERC20 token instance. Uses either the supplied provider, or the connection from the ethersConnection.
`ERC721` | ethers.Contract | Get an ERC721 token instance. Uses either the supplied provider, or the connection from the ethersConnection.
`IUniswapV2Router02` | ethers.Contract | Get an IUniswapV2Router02 router instance. Uses either the supplied provider, or the connection from the ethersConnection.
`IStdReference` | ethers.Contract | Band price oracle. Uses either the supplied provider, or the connection from the ethersConnection.
`AutomationRegistry` | ethers.Contract | Chainlink Automation registry instance.
`VRFCoordinator` | ethers.Contract | Chainlink VRF coordinator instance.